Summary:		OpenKiosk client application
Name:			kdex11client
Version:		0.3.1b
Release:		1mdk
License:		GPL
Group:			Networking/Other

Source:			http://prdownloads.sourceforge.net/openkiosk/%{name}-%{version}.tar.bz2
Patch0:			kdex11client-0.3.1b-hardcode.patch.bz2
URL:			http://openkiosk.sourceforge.net			
BuildRoot:		%{_tmppath}/%{name}-buildroot-%{version}
BuildRequires:		kdelibs-devel
	
%description
The Openkiosk system is basically composed of two parts. The second part is 
simply called "The Client". It is the actual program that sits between the 
customer and the operating system interface on the workstations. It is the 
software which physically limits the user's access to the Internet, network 
resources, the local programs on the workstation itself. For automatic usage, 
it can take in membership card login. It is also possible to interface to 
much more advanced hardware readers such as smart card readers. The client 
is also capable of simple but important tasks such as remote shutdown, 
instant messaging, file updates and much more.

This program is intended to be used on a client machine, with the server 
machine running the nodeview package.

NOTE: rather than rely on hardcoded values for SERV_IP and SERV_PORT, the
source has been patched to read the environment values of these.

%prep
%setup -q
%patch0 -p1 -b .hardcode

%build
sed -i 's|Q_OBJECT;|Q_OBJECT|g' src/x11lock.h
CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT

cat << EOF > README.urpmi
Rather than hard-coding SERV_IP and SERV_PORT into the application,
I've patched it to use environment variables. For instance you could
put it in your ~/.desktop file:
export SERV_IP=192.168.192.35
export SERV_PORT=10012
DESKTOP=KDE

Stew Benedict <sbenedict@mandrakesoft.com>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS README README.urpmi
%{_libdir}/%{_lib}%{name}.*
%dir %{_datadir}/doc/HTML/en/%{name}
%{_datadir}/doc/HTML/en/%{name}/index*
%{_datadir}/doc/HTML/en/%{name}/common
%{_datadir}/apps/kicker/applets/kdex11client.desktop

%changelog
* Thu Mar 17 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.3.1b-1mdk
- first Mandrakelinux packaging
